Bug 1435996 - CEPH RBD mirroring replication freeze doesn't work as expected
Summary: CEPH RBD mirroring replication freeze doesn't work as expected
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Jon Bernard
QA Contact: Tzach Shefi
URL:
Whiteboard:
Depends On:
Blocks: 1412804
TreeView+ depends on / blocked
 
Reported: 2017-03-26 14:13 UTC by Tzach Shefi
Modified: 2019-07-23 19:15 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-23 19:15:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1616974 None None None 2017-03-26 14:13:28 UTC

Description Tzach Shefi 2017-03-26 14:13:28 UTC
Description of problem: On a Frozen Cinder host i was still able to create/delete snapshots which shouldn't be allowed. 
I've spoken to Gorka who'm opened LP and fixed it upstream, opened this BZA as tracker bug. 

Version-Release number of selected component (if applicable):
rhel7.3 


How reproducible:
Every time

Steps to Reproduce:
1. Freeze a host
2. Create / delete a volume snapshot
3.

Actual results:
I'm able to create/delete snapshots. 

Expected results:
Snapshot create/delete should be blocked. 

Additional info:

Comment 1 Paul Grist 2017-04-06 03:10:14 UTC
Targeting the replication testing bugs found to OSP12

Comment 5 John Visser 2019-07-23 19:15:41 UTC
Will be resolved when replication is correctly deployed (OSP-17) and tripleO can deploy a replicated volume


Note You need to log in before you can comment on or make changes to this bug.